Debian Bug report logs - #411172
dmraid is looking for the raid45 kernel module and not the raid456 modules.

version graph

Package: dmraid; Maintainer for dmraid is Debian QA Group <packages@qa.debian.org>; Source for dmraid is src:dmraid.

Reported by: Paul Logasa Bogen II <plb@tamu.edu>

Date: Fri, 16 Feb 2007 19:45:02 UTC

Severity: important

Found in version dmraid/1.0.0.rc13-2

Fix blocked by 504165: RFP: dm-raid45 -- Source for the dm-raid45 driver

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Utnubu Team <utnubu-maintainers@lists.alioth.debian.org>:
Bug#411172; Package dmraid. Full text and rfc822 format available.

Acknowledgement sent to Paul Logasa Bogen II <plb@tamu.edu>:
New Bug report received and forwarded. Copy sent to Utnubu Team <utnubu-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Logasa Bogen II <plb@tamu.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dmraid is looking for the raid45 kernel module and not the raid456 modules.
Date: Fri, 16 Feb 2007 13:42:07 -0600
Package: dmraid
Version: 1.0.0.rc13-2
Severity: grave
Justification: renders package unusable


I am trying to use dmraid with a NVIDIA NForce software RAID.
I can see the raid metadata correctly, but when I try to activate (dmraid -ay)

I get this error:
	ERROR: device-mapper target type "raid45" not in kernel

Here is the applicable parts of lsmod
	raid456               122912  0
	md_mod                 82844  1 raid456
	xor                    10384  1 raid456


-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-amd64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages dmraid depends on:
ii  libc6                       2.3.6.ds1-11 GNU C Library: Shared libraries
ii  libdevmapper1.02            2:1.02.12-1  The Linux Kernel Device Mapper use
ii  libselinux1                 1.32-3       SELinux shared libraries
ii  libsepol1                   1.14-2       Security Enhanced Linux policy lib
ii  lsb-base                    3.1-23       Linux Standard Base 3.1 init scrip

dmraid recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Utnubu Team <utnubu-maintainers@lists.alioth.debian.org>:
Bug#411172; Package dmraid. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Utnubu Team <utnubu-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 411172@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Paul Logasa Bogen II <plb@tamu.edu>, 411172@bugs.debian.org
Subject: Re: [Utnubu-maintainers] Bug#411172: dmraid is looking for the raid45 kernel module and not the raid456 modules.
Date: Fri, 16 Feb 2007 21:17:43 +0100
On Fri, Feb 16, 2007, Paul Logasa Bogen II wrote:
> I am trying to use dmraid with a NVIDIA NForce software RAID.
> I can see the raid metadata correctly, but when I try to activate (dmraid -ay)

 Do you know with which kernel version it worked for you in the past?

-- 
Loïc Minier <lool@dooz.org>



Information forwarded to debian-bugs-dist@lists.debian.org, Utnubu Team <utnubu-maintainers@lists.alioth.debian.org>:
Bug#411172; Package dmraid. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Utnubu Team <utnubu-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 411172@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: 411172@bugs.debian.org
Subject: [Loïc Minier <lool+redhat@via.ecp.fr>] Seems to use raid45 targets instead of raid456
Date: Fri, 16 Feb 2007 21:46:23 +0100
[Message part 1 (text/plain, inline)]
 I've sent a ping to the development list.

-- 
Loïc Minier <lool@dooz.org>
[Message part 2 (message/rfc822, inline)]
From: Loïc Minier <lool+redhat@via.ecp.fr>
To: Ataraid <ataraid-list@redhat.com>
Subject: Seems to use raid45 targets instead of raid456
Date: Fri, 16 Feb 2007 21:45:47 +0100
        Hi,

 It seems the ascii_type[] table maps some RAID usage to the "raid45"
 device mapper target, but I think the raid[45] modules were dropped in
 2.6.18 in favor of raid456.

 This was reported as preventing any use of dmraid by Paul Logasa Bogen
 II in Debian bug <http://bugs.debian.org/411172>; he is using 2.6.18.

   Bye,
-- 
Loïc Minier <lool@dooz.org>

Information forwarded to debian-bugs-dist@lists.debian.org, Utnubu Team <utnubu-maintainers@lists.alioth.debian.org>:
Bug#411172; Package dmraid. Full text and rfc822 format available.

Acknowledgement sent to Paul Logasa Bogen II <plb@tamu.edu>:
Extra info received and forwarded to list. Copy sent to Utnubu Team <utnubu-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 411172@bugs.debian.org (full text, mbox):

From: Paul Logasa Bogen II <plb@tamu.edu>
To: Loïc Minier <lool@dooz.org>
Cc: 411172@bugs.debian.org
Subject: Re: [Utnubu-maintainers] Bug#411172: dmraid is looking for the raid45 kernel module and not the raid456 modules.
Date: Fri, 16 Feb 2007 14:56:45 -0600
Loïc Minier wrote:
> On Fri, Feb 16, 2007, Paul Logasa Bogen II wrote:
>   
>> I am trying to use dmraid with a NVIDIA NForce software RAID.
>> I can see the raid metadata correctly, but when I try to activate (dmraid -ay)
>>     
>
>  Do you know with which kernel version it worked for you in the past?
>
>   
never tried it before
plb



Information forwarded to debian-bugs-dist@lists.debian.org, Utnubu Team <utnubu-maintainers@lists.alioth.debian.org>:
Bug#411172; Package dmraid. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Utnubu Team <utnubu-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 411172@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Paul Logasa Bogen II <plb@tamu.edu>
Cc: 411172@bugs.debian.org, control@bugs.debian.org
Subject: Re: [Utnubu-maintainers] Bug#411172: dmraid is looking for the raid45 kernel module and not the raid456 modules.
Date: Fri, 16 Feb 2007 22:05:25 +0100
severity 411172 important
stop

On Fri, Feb 16, 2007, Paul Logasa Bogen II wrote:
> > Do you know with which kernel version it worked for you in the past?
> never tried it before

 Ok, then I'm downgrading the bug to important as it is not a
 regression.

-- 
Loïc Minier <lool@dooz.org>



Severity set to `important' from `grave' Request was from Loïc Minier <lool@dooz.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utnubu Team <utnubu-maintainers@lists.alioth.debian.org>:
Bug#411172; Package dmraid. Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
Extra info received and forwarded to list. Copy sent to Utnubu Team <utnubu-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #32 received at 411172@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: 411172@bugs.debian.org
Subject: dmraid is looking for the raid45 kernel module and not the raid456 modules
Date: Fri, 20 Jun 2008 09:24:21 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

I've built a .deb of dmraid 1.0.0rc14. It contains also a fix for this bug. Could you try this please?

http://sd6.iuculano.it/dmraid_1.0.0.rc14-1_i386.deb


Giuseppe Iuculano.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIW1slNxpp46476aoRAl2iAJ4rTpbQCAe7u/Q74IctkAurWYubHACcCP6S
xMXkY68M75P73fk1uBheYxA=
=ghea
-----END PGP SIGNATURE-----




Reply sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Paul Logasa Bogen II <plb@tamu.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 411172-close@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: 411172-close@bugs.debian.org
Subject: Bug#411172: fixed in dmraid 1.0.0.rc14-1
Date: Tue, 24 Jun 2008 21:02:03 +0000
Source: dmraid
Source-Version: 1.0.0.rc14-1

We believe that the bug you reported is fixed in the latest version of
dmraid, which is due to be installed in the Debian FTP archive:

dmraid-udeb_1.0.0.rc14-1_i386.udeb
  to pool/main/d/dmraid/dmraid-udeb_1.0.0.rc14-1_i386.udeb
dmraid_1.0.0.rc14-1.diff.gz
  to pool/main/d/dmraid/dmraid_1.0.0.rc14-1.diff.gz
dmraid_1.0.0.rc14-1.dsc
  to pool/main/d/dmraid/dmraid_1.0.0.rc14-1.dsc
dmraid_1.0.0.rc14-1_i386.deb
  to pool/main/d/dmraid/dmraid_1.0.0.rc14-1_i386.deb
dmraid_1.0.0.rc14.orig.tar.gz
  to pool/main/d/dmraid/dmraid_1.0.0.rc14.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 411172@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Giuseppe Iuculano <giuseppe@iuculano.it> (supplier of updated dmraid package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 24 Jun 2008 10:17:33 +0200
Source: dmraid
Binary: dmraid dmraid-udeb
Architecture: source i386
Version: 1.0.0.rc14-1
Distribution: unstable
Urgency: low
Maintainer: Giuseppe Iuculano <giuseppe@iuculano.it>
Changed-By: Giuseppe Iuculano <giuseppe@iuculano.it>
Description: 
 dmraid     - Device-Mapper Software RAID support tool
 dmraid-udeb - Device-Mapper Software RAID support tool (udeb)
Closes: 411172 450809 459593
Changes: 
 dmraid (1.0.0.rc14-1) unstable; urgency=low
 .
   * New upstream release (Closes: #450809)
   * New maintainer, thanks to Utnubu Team for the prior work on dmraid
     (Closes: #459593)
   * Switch to dpatch
     - 01_statically_link_against_libz.dpatch (merged)
     - 02_raid45_toraid456.dpatch Change raid45 target to raid456
       (Closes: #411172)
     - 03_fix_hyphen-used-as-minus-sign.dpatch
   * lintian cleaned:
     - Calling dh_installdeb after dh_shlibdeps
     - Added autotools-dev to Build-Depends, and fix
       outdated-autotools-helper-file
     - Added watch file
     - Fix old-fsf-address-in-copyright-file
     - Fix init.d-script-missing-lsb-short-description
     - Updated to standards version 3.8.0
   * debian/dmraid.init: Check if /etc/default/rcS exists before sourcing it
   * debian/rules: Using dh_install instead of cp for installing initrams
Checksums-Sha1: 
 ea0189e586847bda8387fd905121b507d80b80f1 1126 dmraid_1.0.0.rc14-1.dsc
 28caf09f02105cf3fa5c3a04514904ff358d24a1 204671 dmraid_1.0.0.rc14.orig.tar.gz
 49493462fbd1d3348cd746fa1e3396bbc9f457df 7195 dmraid_1.0.0.rc14-1.diff.gz
 2dd4068064b92048d5eeaa554d6ab8c588b978e5 177174 dmraid_1.0.0.rc14-1_i386.deb
 8cf90c7f0ea0d247661086df981126ea9ab419c7 68632 dmraid-udeb_1.0.0.rc14-1_i386.udeb
Checksums-Sha256: 
 b83b280e0b8b0d4bc1c4b97acb54e6a3639cd22e1aa404df4bc06d5ec1ef0dc8 1126 dmraid_1.0.0.rc14-1.dsc
 cfbf0253651341415648b99d2b69a0c109bf3c5fb5862d20c1f28ec96421aa6d 204671 dmraid_1.0.0.rc14.orig.tar.gz
 1458e6fb24d2a5cad4133eab786cb47900453f15520f92a9e836cc6224d29f8f 7195 dmraid_1.0.0.rc14-1.diff.gz
 cf4a8afa491e2d647f1c4cec2325091a88dca22c22e5528790a91521103f0e5c 177174 dmraid_1.0.0.rc14-1_i386.deb
 81d55a10930f5c926b4520680a857d3f16f91b5b22c6cf2fc07e9e2d48934231 68632 dmraid-udeb_1.0.0.rc14-1_i386.udeb
Files: 
 42e44b41fb27060e1f024ec21cdb890a 1126 admin optional dmraid_1.0.0.rc14-1.dsc
 0986fe3ed0b861d49ccfa4b2491ef508 204671 admin optional dmraid_1.0.0.rc14.orig.tar.gz
 2e8cd79be7447c0c0233f54ae4ec8c51 7195 admin optional dmraid_1.0.0.rc14-1.diff.gz
 de28b8a2c1dd251257f7b0ab356b7c1e 177174 admin optional dmraid_1.0.0.rc14-1_i386.deb
 dfdbf5c35f6b2fe7eb97078793344579 68632 debian-installer optional dmraid-udeb_1.0.0.rc14-1_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkhhXokACgkQ9ijrk0dDIGz2pwCfYGz1LYsWewr4+tPCnxb+HY9W
V4UAoKMEZ15rzPnJ6oamga7pB0bvEvJ7
=oRKV
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <giuseppe@iuculano.it>:
Bug#411172; Package dmraid. Full text and rfc822 format available.

Acknowledgement sent to Joerg Delker <jd@onix.de>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <giuseppe@iuculano.it>. Full text and rfc822 format available.

Message #42 received at 411172@bugs.debian.org (full text, mbox):

From: Joerg Delker <jd@onix.de>
To: 411172@bugs.debian.org
Subject: Re: dmraid is looking for the raid45 kernel module and not the raid456 modules.
Date: Sat, 28 Jun 2008 15:56:26 +0200
Sorry to say this, but the bug is obviously *not* solved with rc14:

nebula1:~# uname -a
Linux nebula1 2.6.24-1-686 #1 SMP Thu May 8 02:16:39 UTC 2008 i686 GNU/Linux

nebula1:~# dpkg -l dmraid
ii  dmraid                     1.0.0.rc14-1               Device-Mapper 
Software RAID support tool

nebula1:~# lsmod|grep raid456
raid456               122128  0
md_mod                 73556  1 raid456
async_xor               2752  1 raid456
async_memcpy            2016  1 raid456
async_tx                2560  1 raid456
xor                    14344  2 raid456,async_xor

nebula1:~# dmraid -a y
ERROR: device-mapper target type "raid456" not in kernel






Bug reopened, originator not changed. Request was from Giuseppe Iuculano <giuseppe@iuculano.it> to control@bugs.debian.org. (Sat, 28 Jun 2008 18:27:05 GMT) Full text and rfc822 format available.

Reply sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Paul Logasa Bogen II <plb@tamu.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #49 received at 411172-close@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: 411172-close@bugs.debian.org
Subject: dmraid is looking for the raid45 kernel module and not the raid456
Date: Sun, 29 Jun 2008 17:59:47 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Source: dmraid
Source-Version: 1.0.0.rc14-1





> Giuseppe Iuculano wrote:
>> I'm sorry, but according to dmraid -l , dmraid supports only Intel
>> Software RAID 0,1
>>
>> Original bug is against Nvidia raid that supports S,0,1,10,5
>>   
> 
> Uh, ok...  sorry, I wasn't aware of that. It looks like I've to wait for support on the Intel chipset.
> 
> Anyway, thanks for the great support and keep up the good work.
> 
> Cheers,
> Joerg 



-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIZ7FzNxpp46476aoRArh1AKCCR6WRkQaFP9b3tboGqNawXW6VSgCdE19J
gkrLTg+JVe3F/Zxf8GKIvkE=
=UKmf
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <giuseppe@iuculano.it>:
Bug#411172; Package dmraid. Full text and rfc822 format available.

Acknowledgement sent to Luke Yelavich <luke.yelavich@canonical.com>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <giuseppe@iuculano.it>. Full text and rfc822 format available.

Message #54 received at 411172@bugs.debian.org (full text, mbox):

From: Luke Yelavich <luke.yelavich@canonical.com>
To: 411172@bugs.debian.org
Subject: Re: dmraid is looking for the raid45 kernel module and not the raid456
Date: Wed, 9 Jul 2008 09:40:06 +1000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

The module needed to fix this bug is dmraid specific. You can get the latest source for this module from http://people.redhat.com/~heinzm/sw/dm/dm-raid45/. THis module will have to e included in the Debian kernel to fix this bug properly.

Luke
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIc/rWjVefwtBjIM4RAjzmAKDVwWT4buw6Ysr84HW/URLv6lhq1QCg7tiv
BxeRU3PGP/S0AR5w4N/2gz4=
=cb+N
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 06 Aug 2008 07:35:13 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Giuseppe Iuculano <giuseppe@iuculano.it> to control@bugs.debian.org. (Thu, 28 Aug 2008 09:30:04 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Giuseppe Iuculano <giuseppe@iuculano.it> to control@bugs.debian.org. (Thu, 28 Aug 2008 09:30:05 GMT) Full text and rfc822 format available.

Blocking bugs of 411172 added: 496893 Request was from Giuseppe Iuculano <giuseppe@iuculano.it> to control@bugs.debian.org. (Thu, 28 Aug 2008 11:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <giuseppe@iuculano.it>:
Bug#411172; Package dmraid. Full text and rfc822 format available.

Acknowledgement sent to Joey Schulze <joey@infodrom.org>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <giuseppe@iuculano.it>. Full text and rfc822 format available.

Message #67 received at 411172@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 411172@bugs.debian.org
Subject: Re: Bug#411172: dmraid is looking for the raid45 kernel module and not the raid456 modules.
Date: Thu, 4 Sep 2008 14:57:44 +0200
Joerg Delker wrote:
> Sorry to say this, but the bug is obviously *not* solved with rc14:
>
> nebula1:~# uname -a
> Linux nebula1 2.6.24-1-686 #1 SMP Thu May 8 02:16:39 UTC 2008 i686 GNU/Linux
>
> nebula1:~# dpkg -l dmraid
> ii  dmraid                     1.0.0.rc14-1               Device-Mapper  
> Software RAID support tool
>
> nebula1:~# lsmod|grep raid456
> raid456               122128  0
> md_mod                 73556  1 raid456
> async_xor               2752  1 raid456
> async_memcpy            2016  1 raid456
> async_tx                2560  1 raid456
> xor                    14344  2 raid456,async_xor
>
> nebula1:~# dmraid -a y
> ERROR: device-mapper target type "raid456" not in kernel

I can confirm this.

This is from debian-LennyBeta2-amd64-netinst.iso

Loaded RAID modules:

raid456               128544  0
md_mod                 84252  1 raid456
async_xor               7424  1 raid456
async_memcpy            6528  1 raid456
async_tx                7168  1 raid456
xor                    10128  2 raid456,async_xor

with Debian-made dmraid 1.0.0.rc13-2.1:

ERROR: device-mapper target type "raid45" not in kernel

with the newer dmraid 1.0.0.rc14-2:

ERROR: device-mapper target type "raid456" not in kernel

The hardware is:
Intel Matrix Storage 631xESB/632xESB SATA RAID Controller (rev 09)

So, unfortunately, I can confirm that this does not work, neither
with the old version of dmraid nor with the new version of dmraid
in testing.

Regards,

	Joey

-- 
There are lies, statistics and benchmarks.

Please always Cc to me when replying to me on the lists.




Bug 411172 cloned as bug 500107. Request was from Joey Schulze <joey@infodrom.org> to control@bugs.debian.org. (Thu, 25 Sep 2008 06:48:01 GMT) Full text and rfc822 format available.

Blocking bugs of 411172 added: 504165 Request was from Giuseppe Iuculano <giuseppe@iuculano.it> to control@bugs.debian.org. (Sat, 01 Nov 2008 16:57:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <giuseppe@iuculano.it>:
Bug#411172; Package dmraid. (Thu, 13 Nov 2008 11:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Schulze <joey@infodrom.org>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <giuseppe@iuculano.it>. (Thu, 13 Nov 2008 11:48:03 GMT) Full text and rfc822 format available.

Message #76 received at 411172@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 411172@bugs.debian.org
Subject: Re: Bug#411172: dmraid is looking for the raid45 kernel module and not the raid456 modules.
Date: Thu, 13 Nov 2008 12:37:11 +0100
Joey Schulze wrote:
> Joerg Delker wrote:
> > Sorry to say this, but the bug is obviously *not* solved with rc14:

> with Debian-made dmraid 1.0.0.rc13-2.1:
> 
> ERROR: device-mapper target type "raid45" not in kernel
> 
> with the newer dmraid 1.0.0.rc14-2:
> 
> ERROR: device-mapper target type "raid456" not in kernel
> 
> The hardware is:
> Intel Matrix Storage 631xESB/632xESB SATA RAID Controller (rev 09)
> 
> So, unfortunately, I can confirm that this does not work, neither
> with the old version of dmraid nor with the new version of dmraid
> in testing.

Hi,

I only want to add a note saying that the new version of dmraid (that
has the patch to rename raid45 to raid456 removed) should be fine.

I have been able to detect the raid on the machine I was working on,
i.e. dmraid asked for the proper dm target and the kernel was able
to direct the request to the dm-raid45 module that I've built from
Hans patch with local adjustments.

Regards,

	Joey

-- 
It's time to close the windows.

Please always Cc to me when replying to me on the lists.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#411172; Package dmraid. (Thu, 13 Nov 2008 14:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
Extra info received and forwarded to list. (Thu, 13 Nov 2008 14:06:09 GMT) Full text and rfc822 format available.

Message #81 received at 411172@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: Joey Schulze <joey@infodrom.org>, 411172@bugs.debian.org
Subject: Re: Bug#411172: dmraid is looking for the raid45 kernel module and not the raid456 modules.
Date: Thu, 13 Nov 2008 15:02:37 +0100
[Message part 1 (text/plain, inline)]
Joey Schulze ha scritto:

> Hi,
> 
> I only want to add a note saying that the new version of dmraid (that
> has the patch to rename raid45 to raid456 removed) should be fine.
> 
> I have been able to detect the raid on the machine I was working on,
> i.e. dmraid asked for the proper dm target and the kernel was able
> to direct the request to the dm-raid45 module that I've built from
> Hans patch with local adjustments.

Hi,

at this moment current dm-raid45 patch [1] is using the target that the dmraid
code originally expected.

I'm working in unofficial dm-raid45 module package, if you want you can test a
preliminary package [2][3] (Note that .iso is broken)
You need to patch the kernel [4] or if you have amd64 you can use my .deb [5][6]
Anyway to fix this bug, I need a simple hack from kernel team [7], and after I
could package dm-raid45 module [8].



[1]http://people.redhat.com/heinzm/sw/dm/dm-raid45/dm-raid45_2.6.27_20081027.patch.bz2
[2]http://ctu.iuculano.it/dm-raid45/
[3]http://ctu.iuculano.it/dm-raid45/dm-raid45-source_20081027_all.deb
[4]http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=14;att=0;bug=496893
[5]http://ctu.iuculano.it/dm-raid45/linux-image-2.6.26-1-amd64_2.6.26-9+dmraid1_amd64.deb
[6]http://ctu.iuculano.it/dm-raid45/linux-headers-2.6.26-1-amd64_2.6.26-9+dmraid1_amd64.deb
[7]http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=496893
[8]http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504165

Cheers,

Giuseppe.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <giuseppe@iuculano.it>:
Bug#411172; Package dmraid. (Fri, 03 Apr 2009 03:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cory Nelson <phrosty@gmail.com>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <giuseppe@iuculano.it>. (Fri, 03 Apr 2009 03:00:03 GMT) Full text and rfc822 format available.

Message #86 received at 411172@bugs.debian.org (full text, mbox):

From: Cory Nelson <phrosty@gmail.com>
To: 411172@bugs.debian.org
Subject: Re: Bug#411172: dmraid is looking for the raid45 kernel module and not the raid456 modules.
Date: Thu, 2 Apr 2009 19:58:08 -0700
Bug has been around for a while - is nobody trying to fix it?

-- 
Cory Nelson




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#411172; Package dmraid. (Fri, 03 Apr 2009 06:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
Extra info received and forwarded to list. (Fri, 03 Apr 2009 06:48:03 GMT) Full text and rfc822 format available.

Message #91 received at 411172@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: Cory Nelson <phrosty@gmail.com>, 411172@bugs.debian.org
Subject: Re: Bug#411172: dmraid is looking for the raid45 kernel module and not the raid456 modules.
Date: Fri, 03 Apr 2009 08:45:26 +0200
[Message part 1 (text/plain, inline)]
Cory Nelson ha scritto:
> Bug has been around for a while - is nobody trying to fix it?
> 

This is blocked by #496893[1] and #504165[2]

[1]http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=496893
[2]http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504165

Cheers,
Giuseppe.

[signature.asc (application/pgp-signature, attachment)]

Removed blocking bug(s) of 411172: 496893 Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 13 Mar 2011 18:33:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#411172; Package dmraid. (Sat, 21 Apr 2012 08:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bigfoot29deu@gmx.de:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Sat, 21 Apr 2012 08:21:07 GMT) Full text and rfc822 format available.

Message #98 received at 411172@bugs.debian.org (full text, mbox):

From: Bigfoot29deu@gmx.de
To: 411172@bugs.debian.org
Subject: Still present on latest Testing
Date: Sat, 21 Apr 2012 10:18:59 +0200
Hi.

This bug is still present in the recent TESTING Netinst.

Debian GNU/Linux testing "Wheezy" - Official Snapshot Multi-architecture amd64/i386 NETINST #1 20120421-03:27

(And of course in the previous stable installers.)

The blocking 504165 has had no progress in the past 2 years. Wouldn't it make sense to either dump the 2 year old "Wishlist" entry and fix a bug that makes it impossible for nvidia users to run a fakeraid5?

Maybe I don't see the bigger picture here, through.

Thank you in advance.

Kind regards.
-- 
NEU: FreePhone 3-fach-Flat mit kostenlosem Smartphone!                                  
Jetzt informieren: http://mobile.1und1.de/?ac=OM.PW.PW003K20328T7073a




Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#411172; Package dmraid. (Fri, 25 May 2012 21:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Fri, 25 May 2012 21:39:03 GMT) Full text and rfc822 format available.

Message #103 received at 411172@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Bigfoot29deu@gmx.de, 411172@bugs.debian.org
Cc: Giuseppe Iuculano <iuculano@debian.org>
Subject: Re: Bug#411172: Still present on latest Testing
Date: Fri, 25 May 2012 23:35:58 +0200
[Message part 1 (text/plain, inline)]
* Bigfoot29deu@gmx.de [Sat Apr 21, 2012 at 10:18:59AM +0200]:

> This bug is still present in the recent TESTING Netinst.
[...]

And also the initramfs-hook still tries to load the non-existing
dm-raid45 module.

Giuseppe, any chance that you include my attached patch and make an
upload with? Or would it help if I'd do an NMU?

regards,
-mika-
[0001-initramfs-hook-do-not-force_load-the-non-existent-dm.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:40:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.